Skip to main content
GET
/
v1
/
flow
/
alignment
/
ingestion
List file conversion jobs
curl --request GET \
  --url https://flow.seekr.com/v1/flow/alignment/ingestion \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/flow/alignment/ingestion"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/flow/alignment/ingestion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "output_files": [
        "<string>"
      ],
      "file_records": [
        {
          "record_id": "<string>",
          "ingestion_job_id": "<string>",
          "alignment_file_id": "<string>",
          "user_id": "<string>",
          "filename": "<string>",
          "status": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "metaflow_job_id": "<string>",
          "method": "<string>",
          "queue_position": 123,
          "error_message": "<string>",
          "suggested_fix": "<string>",
          "worker_id": "<string>",
          "deleted": false,
          "processing_at": "2023-11-07T05:31:56Z",
          "completed_at": "2023-11-07T05:31:56Z",
          "failed_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}
We recommend using the data jobs API instead. Use GET /v1/flow/data-jobs to list and filter data jobs. See Manage data jobs for details.
Retrieve a paginated list of all ingestion jobs. Each job includes its current status and file_records with per-file tracking. For details on interpreting job states and file records, see Monitor ingestion.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Response

200 - application/json

Successful Response

object
string | null
Allowed value: "list"
data
IngestionResponse · object[] | null
Last modified on July 10, 2026